Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.jpql
Class JPQLExpressionBuilder.JPQLNode

    java.lang.Object
      org.apache.openjpa.kernel.jpql.JPQLExpressionBuilder.JPQLNode

All Implemented Interfaces:
  Serializable, org.apache.openjpa.kernel.jpql.Node

Direct Known Subclasses:
  SimpleNode

Enclosing class:
  JPQLExpressionBuilder

    protected abstract static class JPQLExpressionBuilder.JPQLNode

extends Object
implements org.apache.openjpa.kernel.jpql.Node, Serializable

Base node that will be generated by the JPQLExpressionBuilder; base class of the `SimpleNode` that is used by `JPQLExpressionBuilder.ParsedJPQL`.

Author:
  Marc Prud'hommeaux
See Also:
  `JPQLExpressionBuilder.JPQLNode`, `SimpleNode`, Serialized Form

Field Summary
`(package private) JPQLExpressionBuilder.JPQLNode[]` | `children`
`(package private) int` | `id`
`(package private) boolean` | `inEnumPath`
`(package private) boolean` | `not`
`(package private) JPQLExpressionBuilder.JPQLNode` | `parent`
`(package private) org.apache.openjpa.kernel.jpql.JPQL` | `parser`
`(package private) String` | `text`

Constructor Summary
`JPQLExpressionBuilder.JPQLNode(org.apache.openjpa.kernel.jpql.JPQL parser, int id)`

Method Summary
`void` | `dump()`
`void` | `dump(PrintStream out, String prefix)` Debugging method to output a parse tree.
`void` | `dump(PrintStream out, String prefix, boolean text)`
`void` | `dump(String prefix)` Debugging method.
`(package private) JPQLExpressionBuilder.JPQLNode` | `findChildByID(int id, boolean recurse)`
`(package private) JPQLExpressionBuilder.JPQLNode[]` | `findChildrenByID(int id)`
`JPQLExpressionBuilder.JPQLNode` | `getChild(int index)`
`int` | `getChildCount()`
`(package private) boolean` | `hasChildID(int id)`
`Iterator<JPQLExpressionBuilder.JPQLNode>` | `iterator()`
`void` | `jjtAddChild(org.apache.openjpa.kernel.jpql.Node n, int i)`
`void` | `jjtClose()`
`org.apache.openjpa.kernel.jpql.Node` | `jjtGetChild(int i)`
`int` | `jjtGetNumChildren()`
`org.apache.openjpa.kernel.jpql.Node` | `jjtGetParent()`
`void` | `jjtOpen()`
`void` | `jjtSetParent(org.apache.openjpa.kernel.jpql.Node parent)`
`(package private) void` | `setText(String text)`
`(package private) void` | `setToken(org.apache.openjpa.kernel.jpql.Token t)`
`String` | `toString()`
`String` | `toString(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    final int id

### parser

    final org.apache.openjpa.kernel.jpql.JPQL parser

### parent

    JPQLExpressionBuilder.JPQLNode parent

### children

    JPQLExpressionBuilder.JPQLNode[] children

### text

    String text

### not

    boolean not

### inEnumPath

    boolean inEnumPath

Constructor Detail

### JPQLExpressionBuilder.JPQLNode

    public JPQLExpressionBuilder.JPQLNode(org.apache.openjpa.kernel.jpql.JPQL parser,
                                          int id)

Method Detail

### jjtOpen

    public void jjtOpen()

  Specified by:
    `jjtOpen` in interface `org.apache.openjpa.kernel.jpql.Node`

### jjtClose

    public void jjtClose()

  Specified by:
    `jjtClose` in interface `org.apache.openjpa.kernel.jpql.Node`

### findChildrenByID

    JPQLExpressionBuilder.JPQLNode[] findChildrenByID(int id)

### hasChildID

    boolean hasChildID(int id)

### findChildByID

    JPQLExpressionBuilder.JPQLNode findChildByID(int id,
                                                 boolean recurse)

### jjtSetParent

    public void jjtSetParent(org.apache.openjpa.kernel.jpql.Node parent)

  Specified by:
    `jjtSetParent` in interface `org.apache.openjpa.kernel.jpql.Node`

### jjtGetParent

    public org.apache.openjpa.kernel.jpql.Node jjtGetParent()

  Specified by:
    `jjtGetParent` in interface `org.apache.openjpa.kernel.jpql.Node`

### jjtAddChild

    public void jjtAddChild(org.apache.openjpa.kernel.jpql.Node n,
                            int i)

  Specified by:
    `jjtAddChild` in interface `org.apache.openjpa.kernel.jpql.Node`

### jjtGetChild

    public org.apache.openjpa.kernel.jpql.Node jjtGetChild(int i)

  Specified by:
    `jjtGetChild` in interface `org.apache.openjpa.kernel.jpql.Node`

### getChildCount

    public int getChildCount()

### getChild

    public JPQLExpressionBuilder.JPQLNode getChild(int index)

### iterator

    public Iterator<JPQLExpressionBuilder.JPQLNode> iterator()

### jjtGetNumChildren

    public int jjtGetNumChildren()

  Specified by:
    `jjtGetNumChildren` in interface `org.apache.openjpa.kernel.jpql.Node`

### setText

    void setText(String text)

### setToken

    void setToken(org.apache.openjpa.kernel.jpql.Token t)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toString

    public String toString(String prefix)

### dump

    public void dump(String prefix)

  Debugging method.

  See Also:
    `dump(java.io.PrintStream,String)`

### dump

    public void dump()

### dump

    public void dump(PrintStream out,
                     String prefix)

  Debugging method to output a parse tree.

  Parameters:
    `out` - the stream to which to write the debugging info
    `prefix` - the prefix to write out before lines

### dump

    public void dump(PrintStream out,
                     String prefix,
                     boolean text)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.